# Trades

Use these endpoints to view Trades, or transactions related to the buying and selling of T-bills, within the brokerage account component of Jiko Pockets.

## List Trades

 - [GET /api/v1/trades/](https://docs.jiko.io/products/customer-api/reference/trades/list_trades_api_v1_trades__get.md): This endpoint lists all buy, sell, and maturity events for securities (T-bills) within the customer's accounts.

Returns a paginated TradeListResponse. The list can be filtered by account and a trade datetime range.

## Trades As CSV

 - [GET /api/v1/trades.csv](https://docs.jiko.io/products/customer-api/reference/trades/trades_as_csv_api_v1_trades_csv_get.md): This endpoint downloads the customer's complete trade history as a CSV file.

This is useful for record-keeping and analysis and can be filtered by account and a trade datetime range.

## Download Trade Confirmation

 - [GET /api/v1/accounts/{account_id}/trades/{trade_id}/confirmation/](https://docs.jiko.io/products/customer-api/reference/trades/download_trade_confirmation_api_v1_accounts__account_id__trades__trade_id__confirmation__get.md): This endpoint downloads the confirmation for a specific trade, and returns a 307 Temporary Redirect to the trade confirmation PDF location.

Trade confirmations are sensitive documents. For security reasons, we return trade confirmations as PDFs through a URL with a 10-minute TTL.

Trade confirmation PDFs should be fetched and served just-in-time, not stored in databases.

Trades with "activity": "MATURITY" do not have trade confirmations.

## List Trades

 - [GET /api/v2/trades/](https://docs.jiko.io/products/customer-api/reference/trades/list_trades_api_v2_trades__get.md): Returns a list of trades including standard trades (BUY, SELL, MATURITY), external security transfer trades, and same-entity security transfer trades. Optionally filter by pocket.

